Get a component by ID
GET
/v1/components/{componentId}
curl --request GET \ --url https://api.quaze.io/v1/components/%7BcomponentId%7D \ --header 'Authorization: REPLACE_KEY_VALUE'import requests
url = "https://api.quaze.io/v1/components/%7BcomponentId%7D"
headers = {"Authorization": "REPLACE_KEY_VALUE"}
response = requests.request("GET", url, headers=headers)
print(response.text)package main
import ( "fmt" "net/http" "io/ioutil")
func main() {
url := "https://api.quaze.io/v1/components/%7BcomponentId%7D"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "REPLACE_KEY_VALUE")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const fetch = require('node-fetch');
let url = 'https://api.quaze.io/v1/components/%7BcomponentId%7D';
let options = {method: 'GET', headers: {Authorization: 'REPLACE_KEY_VALUE'}};
fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error('error:' + err));Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” componentId
required
string
Responses
Section titled “ Responses ”Component details
Missing or invalid authentication
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}Resource not found
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}